SDL_CreateEnvironment(3)

NAME
SDL_CreateEnvironment - Create a set of environment variables

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Environment * SDL_CreateEnvironment(bool populated);

FUNCTION PARAMETERS

populated
    true to initialize it from the C runtime environment, false to create an empty environment.

RETURN VALUE
( SDL_Environment
 *) Returns a pointer to the new environment or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
If populated is false, it is safe to call this function from any thread, otherwise it is safe if no other threads are calling setenv() or unsetenv()

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetEnvironmentVariable(3), •(3), SDL_GetEnvironmentVariables(3), •(3), SDL_SetEnvironmentVariable(3), •(3), SDL_UnsetEnvironmentVariable(3), •(3), SDL_DestroyEnvironment(3)